FF 8.0 Rated 4 out of 5 stars

It seems to work fine under FF 8.0. You may have to manually inform FF that it works by going to the add-ons page, clicking the Compatibility button for Propfire and choosing the "This add-on still works" option.

This review is for a previous version of the add-on (0.76.0.1-signed).